PowerModelSpecPower (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.power.models

## Class PowerModelSpecPower

- java.lang.Object
- - org.cloudbus.cloudsim.power.models.PowerModelSpecPower

- All Implemented Interfaces:
    PowerModel
  Direct Known Subclasses:
    PowerModelSpecPowerHpProLiantMl110G3PentiumD930, PowerModelSpecPowerHpProLiantMl110G4Xeon3040, PowerModelSpecPowerHpProLiantMl110G5Xeon3075, PowerModelSpecPowerIbmX3250XeonX3470, PowerModelSpecPowerIbmX3250XeonX3480, PowerModelSpecPowerIbmX3550XeonX5670, PowerModelSpecPowerIbmX3550XeonX5675

      public abstract class PowerModelSpecPower
      extends Object
      implements PowerModel

  The abstract class of power models created based on data from SPECpower benchmark: http://www.spec.org/power_ssj2008/ If you are using any algorithms, policies or workload included in the power package, please cite the following paper: Anton Beloglazov, and Rajkumar Buyya, "Optimal Online Deterministic Algorithms and Adaptive Heuristics for Energy and Performance Efficient Dynamic Consolidation of Virtual Machines in Cloud Data Centers", Concurrency and Computation: Practice and Experience, ISSN: 1532-0626, Wiley Press, New York, USA, 2011, DOI: 10.1002/cpe.1867
  Since:
    CloudSim Toolkit 3.0
  Author:
    Anton Beloglazov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PowerModelSpecPower()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getPower(double utilization)` Get power consumption by the utilization percentage according to the power model.
    `protected abstract double` | `getPowerData(int index)` Gets the power data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PowerModelSpecPower

          public PowerModelSpecPower()

  - ### Method Detail

    - #### getPower

          public double getPower(double utilization)
                          throws IllegalArgumentException

      Description copied from interface: `PowerModel`
      Get power consumption by the utilization percentage according to the power model.
      Specified by:
        `getPower` in interface `PowerModel`
      Parameters:
        `utilization` - the utilization
      Returns:
        power consumption
      Throws:
        `IllegalArgumentException` - the illegal argument exception

    - #### getPowerData

          protected abstract double getPowerData(int index)

      Gets the power data.
      Parameters:
        `index` - the index
      Returns:
        the power data

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.